#ident "@(#) ad320.h 2.0 96/12/19"
/* #pragma comment(exestr, "@(#) ad320.h 1.8 95/02/06 ") */
/*************************************************************************
*
* Copyright 1995 Adaptec, Inc.,  All Rights Reserved.
*
* This software contains the valuable trade secrets of Adaptec.  The
* software is protected under copyright laws as an unpublished work of
* Adaptec.  Notice is for informational purposes only and does not imply
* publication.  The user of this software may make copies of the software
* for use with parts manufactured by Adaptec or under license from Adaptec
* and for no other use.
*
*************************************************************************/


/******************************************************************************
* Name           :  Jaswinder Singh ( BFL S/w Ltd.)
* Date           :  21/04/2000
* Modifications  :  For CIM support functionality i have added some structures
* 		    ad320_request,ad320_stats . Some new files aree
*		    included : xlong.h , cpqU.h 
*******************************************************************************/




#include "xlong.h"  

/***************************************************************/
/*            Constants for space.c file                       */
/***************************************************************/

/*  STIMESEL Flags (bits 3 and 4)   */
#define AD320_SEL_256	0x00	/* selection timeout of 256 milliseconds */
#define AD320_SEL_128	0x01	/* selection timeout of 128 milliseconds */
#define AD320_SEL_64	0x02	/* selection timeout of 64 milliseconds */
#define AD320_SEL_32	0x03	/* selection timeout of 32 milliseconds */

/*  SCSI_Option (bit 0 for AD320_SYNC_MODE)  */
#define AD320_SYNC_MASK	  0x0E
#define AD320_SYNC_DISABLE 0x00	/* target initiates the negotiation */
#define AD320_SYNC_ENABLE  0x01	/* host initiates the negotiation */

/*  SCSI_Option (bit 4, 5 and 6 for AD320_SYNC_RATE) */
#define AD320_SYNC_10_0	0x00	/* synchronous xfer rate of 10.0 MHz */	
#define AD320_SYNC_8_0	0x10	/* synchronous xfer rate of 8.0 MHz */	
#define AD320_SYNC_6_7	0x20	/* synchronous xfer rate of 6.7 MHz */	
#define AD320_SYNC_5_7	0x30	/* synchronous xfer rate of 5.7 MHz */	
#define AD320_SYNC_5_0	0x40	/* synchronous xfer rate of 5.0 MHz */	
#define AD320_SYNC_4_4	0x50	/* synchronous xfer rate of 4.4 MHz */	
#define AD320_SYNC_4_0	0x60	/* synchronous xfer rate of 4.0 MHz */	
#define AD320_SYNC_3_6	0x70	/* synchronous xfer rate of 3.6 MHz */	

/*  SCSI_Option (bit 7 for WIDE_MODE)  */
#define AD320_WIDE_DISABLE 0x00	/* target initiates wide negotiation */
#define AD320_WIDE_ENABLE  0x80	/* host initiates wide negotiation */

#define Seq_00    P_Seq_00     /* Resolve name conflict with arrow */ 
#define Seq_01    P_Seq_01     /* Resolve name conflict with arrow */ 
#define SeqExist  P_SeqExist   /* Resolve name conflict with arrow */ 

#pragma pack(1)

typedef struct ad320_aha_change {
	unsigned char	doit;
	unsigned long	value;
} ad320_aha_change;

#define	aha_change	ad320_aha_change


#pragma pack()

/* added on 4thmay */
